org.eclipse.wst.jsdt.chromium.util

## Class RelaySyncCallback

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.util.RelaySyncCallback

    public class RelaySyncCallback
    extends java.lang.Object

A utility class for handling `SyncCallback` in chained asynchronous operations. Whatever happens to each step of operation, `SyncCallback` must be called once in the end. `RelaySyncCallback` wraps the `SyncCallback` for the whole multistep operation. It works in pair with `RelaySyncCallback.Guard` class.

### Nested Class Summary

Nested Classes
`class` `RelaySyncCallback.Guard` Responsible for calling SyncCallback unless operation has been successfully relayed to the next step.

### Constructor Summary

Constructors
Constructor and Description
`RelaySyncCallback(SyncCallback syncCallback)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`RelayOk` `finish()` Finish relay by calling `SyncCallback`.
`static RelayOk` `finish(SyncCallback syncCallback)`
`SyncCallback` `getUserSyncCallback()`
`RelaySyncCallback.Guard` `newGuard()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RelaySyncCallback

    public RelaySyncCallback(SyncCallback syncCallback)

### Method Detail

#### newGuard

    public RelaySyncCallback.Guard newGuard()

#### getUserSyncCallback

    public SyncCallback getUserSyncCallback()

#### finish

    public RelayOk finish()

Finish relay by calling `SyncCallback`.

#### finish

    public static RelayOk finish(SyncCallback syncCallback)